com.thinkaurelius.titan.diskstorage.locking

## Class TemporaryLockingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.thinkaurelius.titan.diskstorage.BackendException
      - - com.thinkaurelius.titan.diskstorage.TemporaryBackendException
        - - com.thinkaurelius.titan.diskstorage.locking.TemporaryLockingException

- All Implemented Interfaces:
    Serializable

      public class TemporaryLockingException
      extends TemporaryBackendException

  This exception signifies a (potentially) temporary exception while attempting to acquire a lock in the Titan storage backend. These can occur due to request timeouts, network failures, etc. Temporary failures represented by this exception might disappear if the request is retried, even if no machine modifies the underlying lock state between the failure and follow-up request.

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporaryLockingException(String msg)`
    `TemporaryLockingException(String msg, Throwable cause)`
    `TemporaryLockingException(Throwable cause)` Constructs an exception with a generic message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporaryLockingException

          public TemporaryLockingException(String msg)

      Parameters:
        `msg` - Exception message

    - #### TemporaryLockingException

          public TemporaryLockingException(String msg,
                                   Throwable cause)

      Parameters:
        `msg` - Exception message
        `cause` - Cause of the exception

    - #### TemporaryLockingException

          public TemporaryLockingException(Throwable cause)

      Constructs an exception with a generic message
      Parameters:
        `cause` - Cause of the exception

Copyright © 2012–2014. All rights reserved.